## plasma-widget-yawp 0.4.0

=== CMakeLists.txt ===
PROJECT(plasma-applet-yawp)
cmake_minimum_required(VERSION 2.6)

#if you don't want the full compiler output, remove the following line
SET(CMAKE_VERBOSE_MAKEFILE ON)

#add definitions, compiler switches, etc.
#ADD_DEFINITIONS(-Wall -O2)

#  CMAKE_BUILD_TYPE:
#  A variable which controls the type of build when using a single-configuration generator like the Makefile generator.
#  CMake will create by default the following variables when using a single-configuration generator:
#
#    * None (CMAKE_C_FLAGS or CMAKE_CXX_FLAGS used)
#    * Debug (CMAKE_C_FLAGS_DEBUG or CMAKE_CXX_FLAGS_DEBUG)
#    * Release (CMAKE_C_FLAGS_RELEASE or CMAKE_CXX_FLAGS_RELEASE)
#    * RelWithDebInfo (CMAKE_C_FLAGS_RELWITHDEBINFO or CMAKE_CXX_FLAGS_RELWITHDEBINFO
#    * MinSizeRel (CMAKE_C_FLAGS_MINSIZEREL or CMAKE_CXX_FLAGS_MINSIZEREL) 


## Find the required Libaries
##
FIND_PACKAGE(KDE4 REQUIRED)
INCLUDE(KDE4Defaults)
INCLUDE(MacroLibrary)

find_package(KDE4Workspace QUIET)

## Need a better way to find cmake scripts at arb locations
if ( NOT ${KDE4Workspace_FOUND} )
  message(STATUS "COULD NOT FIND KDE4Workspace TRYING /usr/lib64/cmake/KDE4Workspace-4.3.1")
  SET (KDE4Workspace_DIR /usr/lib64/cmake/KDE4Workspace-4.3.1)
  find_package(KDE4Workspace REQUIRED)
endif ( NOT ${KDE4Workspace_FOUND} )

if ( ${KDE_VERSION} VERSION_LESS "4.1.90" )
	find_package(Plasma REQUIRED)
else ( ${KDE_VERSION} VERSION_LESS "4.1.90" )
	set( PLASMA_LIBS ${KDE4_PLASMA_LIBS} )
endif ( ${KDE_VERSION} VERSION_LESS "4.1.90" )

if ( ${KDE_VERSION} VERSION_GREATER "4.2.9" )
	set( KDE4WORKSPACE_WEATHERION_LIBRARY weather_ion)
endif ( ${KDE_VERSION} VERSION_GREATER "4.2.9" )

INCLUDE_DIRECTORIES(
	${QT_INCLUDES}
	${KDE4_INCLUDE_DIR}
	${KDE4_INCLUDES}
	${KDE4WORKSPACE_INCLUDE_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}
	)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
# add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9999 )

## enable or disable the src/logger/streamlogger.cpp log-system
## when disabling the logsystem, no debug output occurs
IF( "${CMAKE_BUILD_TYPE}" STREQUAL "Debug" )
  add_definitions( -DENABLE_DSTREAMLOGGER )
ELSEIF( "${CMAKE_BUILD_TYPE}" STREQUAL "RelWithDebInfo" )
  add_definitions( -DENABLE_DSTREAMLOGGER )
ENDIF( "${CMAKE_BUILD_TYPE}" STREQUAL "Debug" )

IF( NOT DEBUG_LOGLEVEL )
	## Why there is no check of ${CMAKE_BUILD_TYPE}?
	## This probably triggers logger dependency for CMAKE_BUILD_TYPE=Release 
	SET(DEBUG_LOGLEVEL "Debug")
ENDIF( NOT DEBUG_LOGLEVEL )


# Choose the type of build.  Example: SET(CMAKE_BUILD_TYPE Debug) 
MESSAGE( STATUS "CMAKE_BUILD_TYPE: " ${CMAKE_BUILD_TYPE} )

# the compiler flags for compiling C sources 
MESSAGE( STATUS "CMAKE_C_FLAGS: " ${CMAKE_C_FLAGS} )

# If set, runtime paths are not added when using shared libraries. Default it is set to OFF
MESSAGE( STATUS "CMAKE_SKIP_RPATH: " ${CMAKE_SKIP_RPATH} )
MESSAGE( STATUS "DEBUG_LOGLEVEL: " ${DEBUG_LOGLEVEL} )
MESSAGE( STATUS "DEBUG_LOGFILE: " ${DEBUG_LOGFILE} )

############################################################
##
##    YAWP specific settings
##

##	DEFINE THE PACKAGE VERSION AND NAME
SET(MAJOR_VERSION 0)
SET(MINOR_VERSION 4)
SET(PATCH_VERSION 0)
SET(YAWP_NAME     "yaWP")

configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
# configure_file(logger/streamlogger_definitions.h.in ${CMAKE_CURRENT_BINARY_DIR}/streamlogger_definitions.h)
macro_display_feature_log()

### Define some variables we need in subdires applet and ions
STRING(REGEX REPLACE "/usr/" ""  YAWP_PACK_INSTALL_LIB_DIR "${PLUGIN_INSTALL_DIR}")
STRING(REGEX REPLACE "/usr/" ""  YAWP_PACK_SERVICES_DIR    "${SERVICES_INSTALL_DIR}")
STRING(REGEX REPLACE "/usr/" ""  YAWP_PACK_APPS_DIR        "${DATA_INSTALL_DIR}")


add_subdirectory(applet)
add_subdirectory(ions)
add_subdirectory(po)
IF( "${BUILD_UNITTESTS}" STREQUAL "YES" )
	## This will create a static lib. We can link a program against a static
	## but we can not link a plugin against a static lib. At least i don not know how to do it,
	## So, if you know how to do it, please let me know.
	add_subdirectory(logger)
	add_subdirectory(unittest)
ELSEIF( "${DEBUG_LOGLEVEL}" STREQUAL "Debug" )
	configure_file(${CMAKE_CURRENT_SOURCE_DIR}/logger/streamlogger_definitions.h.in
	               ${CMAKE_BINARY_DIR}/logger/streamlogger_definitions.h)
ENDIF( "${BUILD_UNITTESTS}" STREQUAL "YES" )
############################################################
##
##    Package Generator
##
IF(EXISTS "${CMAKE_ROOT}/Modules/CPack.cmake")
  MESSAGE(STATUS "CMakeRoot: ${CMAKE_ROOT}/Modules/CPack.cmake")
  INCLUDE(InstallRequiredSystemLibraries)

  SET(CPACK_SET_DESTDIR "on")
  SET(CPACK_PACKAGING_INSTALL_PREFIX "/tmp")
  SET(CPACK_GENERATOR "DEB;RPM;STGZ;TBZ2;TGZ;TZ;ZIP;SOURCE_TGZ;SOURCE_TZ;SOURCE_ZIP;")
  SET(CPACK_SOURCE_IGNORE_FILES 
      "/build/"
      "/.svn/"
      ".kdev4$"
      "~$"
      )

  SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY	"Yet Another Weather Plasmoid")

  SET(CPACK_PACKAGE_VENDOR		"Plasma Factory")
  SET(CPACK_PACKAGE_CONTACT		"Plasma Factory <plasmafactory@jcell.co.za>, Ruan Strydom <ruans@kr8.co.za>, Ulf Kreißig <udev@gmx.net>, Marián Kyral <mkyral@email.cz>, Ezequiel R. Aguerre <ezeaguerre@gmail.com>, Pierpaolo Vittorini  <pierpaolo.vittorini@gmail.com>")
#	SET(CPACK_RESOURCE_FILE_LICENSE		${CMAKE_CURRENT_SOURCE_DIR}//COPYING)
  SET(CPACK_PACKAGE_VERSION_MAJOR	${MAJOR_VERSION})
  SET(CPACK_PACKAGE_VERSION_MINOR	${MINOR_VERSION})	# to create a debian confirm file-version-string
  STRING(REGEX REPLACE "_" "-" CPACK_PACKAGE_VERSION_PATCH ${PATCH_VERSION})
  SET(CPACK_PACKAGE_FILE_NAME		${CMAKE_PROJECT_NAME}_${MAJOR_VERSION}.${MINOR_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}_${CMAKE_SYSTEM_PROCESSOR})
  SET(CPACK_SOURCE_PACKAGE_FILE_NAME	${CMAKE_PROJECT_NAME}_${MAJOR_VERSION}.${MINOR_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}_source)

  ##	LIST EXECUTABLES
  SET(CPACK_STRIP_FILES "lib//plasma_yawp.so;lib//ion_accuweather.so;lib//ion_google.so")
  SET(CPACK_COMPONENTS_ALL Libraries ApplicationData)

  ##	DEBIAN SPECIFIC SETTINGS
  ##
  SET(CPACK_DEBIAN_PACKAGE_DESCRIPTION	"A weather display plasma widget for KDE 4\n Yet Another Weather Plasmoid that shows the current weather conditions\n and up to 4 days forecast depending on the chosen weather engine (ion).\n This package also contains two ions (google and accuweather).")
  SET(CPACK_DEBIAN_PACKAGE_PRIORITY	"optional")
  SET(CPACK_DEBIAN_PACKAGE_SECTION	"kde")
  SET(CPACK_DEBIAN_PACKAGE_DEPENDS	"kdebase-runtime (>= 4:4.2.1), kdelibs5 (>= 4:4.2.1), libc6 (>= 2.1.3), libgcc1 (>= 1:4.1.1), libplasma3, libqt4-dbus (>= 4.5.0~+rc1), libqt4-network (>= 4.5.0~+rc1), libqt4-svg (>= 4.5.0~+rc1), libqt4-xml (>= 4.5.0~+rc1), libqtcore4 (>= 4.5.0~+rc1), libqtgui4 (>= 4.5.0~+rc1), libstdc++6 (>= 4.2.1)")

  FIND_PROGRAM(DPKG_CMD dpkg)
  IF(DPKG_CMD)
    EXECUTE_PROCESS(COMMAND "${DPKG_CMD}" --print-architecture
      OUTPUT_VARIABLE CPACK_DEBIAN_PACKAGE_ARCHITECTURE
      OUTPUT_STRIP_TRAILING_WHITESPACE)
    SET(CPACK_DEBIAN_PACKAGE_NAME	${CMAKE_PROJECT_NAME}_${MAJOR_VERSION}.${MINOR_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}_${CPACK_DEBIAN_PACKAGE_ARCHITECTURE})
  ENDIF(DPKG_CMD)

  ##	RPM SPECIFIC SETTINGS
  ##

  INCLUDE(CPack)
ENDIF(EXISTS "${CMAKE_ROOT}/Modules/CPack.cmake")


## On debian systems we install or add the following files to the package
## /usr/share/doc/plasma-applet-yawp
##   copyright
##   README.gz
##   changelog.Debian.gz
##   TODO
IF(EXISTS "/etc/debian_version")
  MESSAGE(STATUS "Debian System detected...")
  IF(NOT EXISTS "/bin/gzip")
    MESSAGE(FATAL_ERROR "Program gzip is missing on your system.")
  ENDIF(NOT EXISTS "/bin/gzip")

  ADD_CUSTOM_TARGET(debian_package
                    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/README.gz
                            ${CMAKE_CURRENT_BINARY_DIR}/changelog.Debian.gz)

  ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/README.gz
                     COMMAND /bin/cp ARGS ${CMAKE_CURRENT_SOURCE_DIR}/README ${CMAKE_CURRENT_BINARY_DIR}/README
                     COMMAND /bin/gzip ARGS -9 ${CMAKE_CURRENT_BINARY_DIR}/README
                     DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/README)

  ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/changelog.Debian.gz
                     COMMAND /bin/cp ARGS ${CMAKE_CURRENT_SOURCE_DIR}/CHANGELOG ${CMAKE_CURRENT_BINARY_DIR}/changelog.Debian
                     COMMAND /bin/gzip ARGS -9 ${CMAKE_CURRENT_BINARY_DIR}/changelog.Debian
                     DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/CHANGELOG)

  INSTALL(FILES         ${CMAKE_CURRENT_SOURCE_DIR}/COPYRIGHT
          DESTINATION   /usr/share/doc/${CMAKE_PROJECT_NAME}
          RENAME        copyright
          COMPONENT     ApplicationData
         )
  INSTALL(FILES         ${CMAKE_CURRENT_BINARY_DIR}/README.gz
                        ${CMAKE_CURRENT_BINARY_DIR}/changelog.Debian.gz
                        TODO
          DESTINATION   /usr/share/doc/${CMAKE_PROJECT_NAME}
          COMPONENT     ApplicationData
         )

  ## this might be dirty, but the target debian_package needs to be called in order to create some files for a debian package
  ## and this was the only idea i had...
  ## if anybody has a better idea, how to generate and add the files in /usr/share/doc/plasma-widget-yawp/
  ## to the debian package, please let me know
  ADD_DEPENDENCIES(plasma_applet_yawp debian_package)
ENDIF(EXISTS "/etc/debian_version")

=== ions/CMakeLists.txt ===
if ( ${KDE_VERSION} VERSION_GREATER "4.2.9" )
	set( ACCUWEATHER_DESKTOP kde43/ion-accuweather.desktop)
	set( GOOGLE_DESKTOP kde43/ion-google.desktop)
	set( WUNDERGROUND_DESKTOP kde43/ion-wunderground.desktop)
else ( ${KDE_VERSION} VERSION_GREATER "4.2.9" )
	set( ACCUWEATHER_DESKTOP ion-accuweather.desktop)
	set( GOOGLE_DESKTOP ion-google.desktop)
	set( WUNDERGROUND_DESKTOP ion-wunderground.desktop)
endif ( ${KDE_VERSION} VERSION_GREATER "4.2.9" )

include_directories(
	${CMAKE_CURRENT_SOURCE_DIR}/..
	${CMAKE_BINARY_DIR}/logger
	)

set(weather_ion_libs
	${QT_QTXML_LIBRARY}
	${KDE4_KDEUI_LIBS}
	${KDE4_KIO_LIBS}
	${PLASMA_LIBS}
	${KDE4WORKSPACE_WEATHERION_LIBRARY}
	${KDE4_KUNITCONVERSION_LIBS}
	)

message(STATUS "yaWP sevice install dir: " ${YAWP_PACK_SERVICES_DIR})
message(STATUS "yaWP plugin install dir: " ${YAWP_PACK_INSTALL_LIB_DIR})
message(STATUS "yaWP application install dir: " ${YAWP_PACK_APPS_DIR})


set(ion_accuweather_SRCS
	ion_accuweather.cpp
	accuweather_configloader.cpp
	../logger/streamlogger.cpp
	)

kde4_add_plugin       (ion_accuweather           ${ion_accuweather_SRCS})
target_link_libraries (ion_accuweather           ${weather_ion_libs})
install(  TARGETS      ion_accuweather           DESTINATION    ${PLUGIN_INSTALL_DIR})
install(  FILES        ${ACCUWEATHER_DESKTOP}    DESTINATION    ${SERVICES_INSTALL_DIR})
install(  FILES        ${CMAKE_CURRENT_SOURCE_DIR}/../default_accuweather_satellite_map.conf
	  DESTINATION  ${DATA_INSTALL_DIR}/ion_accuweather/
	  RENAME       satellite_map.conf
	  )

set(ion_google_SRCS
	ion_google.cpp
	../logger/streamlogger.cpp
	)

kde4_add_plugin       (ion_google            ${ion_google_SRCS})
target_link_libraries (ion_google            ${weather_ion_libs})
install(  TARGETS      ion_google            DESTINATION    ${PLUGIN_INSTALL_DIR})
install(  FILES        ${GOOGLE_DESKTOP}     DESTINATION    ${SERVICES_INSTALL_DIR})


set(ion_wunderground_SRCS
	ion_wunderground.cpp
	../logger/streamlogger.cpp
	)

kde4_add_plugin       (ion_wunderground            ${ion_wunderground_SRCS})
target_link_libraries (ion_wunderground            ${weather_ion_libs})
install(  TARGETS      ion_wunderground            DESTINATION    ${PLUGIN_INSTALL_DIR})
install(  FILES        ${WUNDERGROUND_DESKTOP}     DESTINATION    ${SERVICES_INSTALL_DIR})


## This is needed by CPack package generator.
#
INSTALL(TARGETS       ion_accuweather ion_google ion_wunderground
	LIBRARY       DESTINATION "${YAWP_PACK_INSTALL_LIB_DIR}"
	ARCHIVE       DESTINATION "${YAWP_PACK_INSTALL_LIB_DIR}"
	RUNTIME       DESTINATION "${YAWP_PACK_INSTALL_LIB_DIR}"
	COMPONENT     Libraries
	)

INSTALL(FILES         ${ACCUWEATHER_DESKTOP} ${GOOGLE_DESKTOP} ${WUNDERGROUND_DESKTOP}
	DESTINATION   ${YAWP_PACK_SERVICES_DIR}
	COMPONENT     Libraries
	)

INSTALL(FILES         ${CMAKE_CURRENT_SOURCE_DIR}/../default_accuweather_satellite_map.conf
	DESTINATION   ${YAWP_PACK_APPS_DIR}/ion_accuweather/
	RENAME        satellite_map.conf
	COMPONENT     Libraries
	)

=== unittest/CMakeLists.txt ===
include_directories(
#	${CMAKE_CURRENT_SOURCE_DIR}/..
	${CMAKE_CURRENT_SOURCE_DIR}/../applet/
	${CMAKE_CURRENT_SOURCE_DIR}/../ions/
	${CMAKE_CURRENT_BINARY_DIR}/../
	)

set(unittests_include_libs
	${QT_QTXML_LIBRARY}
	${KDE4_KDEUI_LIBS}
	${KDE4_KIO_LIBS}
	${KDE4_SOLID_LIBS}
	${PLASMA_LIBS}
	${KDE4WORKSPACE_WEATHERION_LIBRARY}
	${KDE4_KUNITCONVERSION_LIBS}
	streamlogger
	)

## Add Qt4 resource to binary
set(YAWP_RCCS ../applet/yawpresource.qrc )
qt4_add_resources(YAWP_RCCS_SRCS	${YAWP_RCCS})


#### Streamlogger Test ####
set(streamloggertest_SRCS
	streamloggertest.cpp
	)

kde4_add_executable(streamloggertest		${streamloggertest_SRCS})
target_link_libraries(streamloggertest		${unittests_include_libs})


#### WeatherService Test ####
set(weatherservicetest_SRCS
	weatherservicetest.cpp
	../applet/configdialog/dlgtimezone.cpp
	../applet/countrymap.cpp
	../applet/ionlistmodel.cpp
	../applet/weatherdataprocessor.cpp
	../applet/weatherservice.cpp
	../applet/yawpday.cpp
	../applet/yawpdefines.cpp
	../applet/utils.cpp
	)

kde4_add_ui_files( weatherservicetest_SRCS
	../applet/ui/dlgaddcity.ui
	../applet/ui/dlgtimezone.ui
	)

kde4_add_executable(weatherservicetest		${weatherservicetest_SRCS} ${YAWP_RCCS_SRCS})
target_link_libraries(weatherservicetest	${unittests_include_libs})


#### ConfigDialog Test ####
set( configtest_SRCS
	configtest.cpp
	../applet/countrymap.cpp
	../applet/ionlistmodel.cpp
	../applet/utils.cpp
	../applet/yawpday.cpp
	../applet/yawpdefines.cpp
#	../applet/weatherdataprocessor.cpp
#	../applet/weatherservice.cpp
#	../applet/configdialog/dlgaddcity.cpp
#	../applet/configdialog/yawpconfig.cpp
	../applet/configdialog/dlgaddcity.cpp
	../applet/configdialog/dlgtimezone.cpp
	)

kde4_add_ui_files( configtest_SRCS
#	../applet/ui/yawplocationspage.ui
#	../applet/ui/yawpsettingspage.ui
#	../applet/ui/yawppanelpage.ui
#	../applet/ui/yawpthemepage.ui

	../applet/ui/dlgaddcity.ui
	../applet/ui/dlgtimezone.ui
	)

kde4_add_executable(configtest			${configtest_SRCS} ${YAWP_RCCS_SRCS})
target_link_libraries(configtest		${unittests_include_libs})


#### ION WeatherEngine Test ####
set( weatherenginetest_SRCS
	weatherenginetest.cpp
	../applet/countrymap.cpp
	../applet/ionlistmodel.cpp
	../applet/utils.cpp
	../applet/yawpday.cpp
	../applet/yawpdefines.cpp
	)

kde4_add_executable(weatherenginetest		${weatherenginetest_SRCS} ${YAWP_RCCS_SRCS})
target_link_libraries(weatherenginetest		${unittests_include_libs})


#### ION Test ####
set( iontest_SRCS
	iontest.cpp
#	../applet/countrymap.cpp
#	../applet/ionlistmodel.cpp
#	../applet/utils.cpp
#	../applet/yawpday.cpp
#	../applet/yawpdefines.cpp
#	../ions/ion_accuweather.cpp
#	../ions/ion_google.cpp
	../ions/ion_accuweather.cpp
	../ions/accuweather_configloader.cpp
	)

kde4_add_executable(iontest		${iontest_SRCS} ${YAWP_RCCS_SRCS})
target_link_libraries(iontest	${unittests_include_libs})


#### PLASMOID Test ####
set( plasmoidtest_SRCS
	plasmoidtest_main.cpp
	plasmoidtest_fullview.cpp
	../applet/configdialog/yawpconfig.cpp
	../applet/configdialog/dlgaddcity.cpp
	../applet/configdialog/dlgtimezone.cpp

	../applet/painter/abstractpainter.cpp
	../applet/painter/desktoppainter.cpp
	../applet/painter/panelpainter.cpp

	../applet/countrymap.cpp
	../applet/ionlistmodel.cpp
	../applet/pageanimator.cpp
	../applet/paneldesktopinterface.cpp
	../applet/statemachine.cpp
	../applet/utils.cpp
	../applet/weatherdataprocessor.cpp
	../applet/weatherservice.cpp
	../applet/yawp.cpp
	../applet/yawpday.cpp
	../applet/yawpdefines.cpp
	)

kde4_add_ui_files(plasmoidtest_SRCS
	../applet/ui/yawplocationspage.ui
	../applet/ui/yawpsettingspage.ui
	../applet/ui/yawppanelpage.ui
	../applet/ui/yawpthemepage.ui
	../applet/ui/dlgaddcity.ui
	../applet/ui/dlgtimezone.ui
	)

kde4_add_executable(plasmoidtest		${plasmoidtest_SRCS} ${YAWP_RCCS_SRCS})
target_link_libraries(plasmoidtest		${unittests_include_libs})

=== debian/changelog ===
plasma-widget-yawp (0.4.0-1) unstable; urgency=low

  The "Spring Cleaning" release.

  * New upstream release.
  * debian/compat: Raised to 9.
  * debian/patches:
    - remove_CPack_invocations.patch: Removed, CPack shouldn't get invoked
      automatically.
    - Fix_FTBFS_add-missing-include-dir.patch: Added to fix FTBFS due to
      missing include directory.
  * debian/control:
    - Bumped B-D on debhelper to >= 8.9.8.
    - Removed version requirements on kdelibs5-dev and pkg-kde-tools, required
      versions are in stable.
    - Removed now obsolete Breaks: and Replaces from plasma-widget-yawp
      (binary package).
    - Bumped Standards-Version to 3.9.2, no further changes required.
  * debian/rules:
    - Updated for debhelper 8.
    - Added "--parallel" to dh_auto_configure invocation.
  * debian/docs: Added new README.ion_accuweather.
  * debian/source.lintian-overrides: Added for the time being (ie. before dh 9
    is released).
  * debian/plasma-dataengines-yawp.install: Install satellite_map.conf for
    ion_accuweather.

 -- Kai Wasserbäch <curan@debian.org>  Mon, 14 Nov 2011 10:28:30 +0100

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
http://sf.net/yawp/yawp-([\d\.]+)\.tar\.bz2 debian git-import-orig

## plasma-widget-yawp 0.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -51,23 +51,20 @@
 	${CMAKE_CURRENT_SOURCE_DIR}
 	)
 
-add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
-# add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9999 )
+ADD_DEFINITIONS(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
 
 ## enable or disable the src/logger/streamlogger.cpp log-system
 ## when disabling the logsystem, no debug output occurs
-IF( "${CMAKE_BUILD_TYPE}" STREQUAL "Debug" )
-  add_definitions( -DENABLE_DSTREAMLOGGER )
-ELSEIF( "${CMAKE_BUILD_TYPE}" STREQUAL "RelWithDebInfo" )
-  add_definitions( -DENABLE_DSTREAMLOGGER )
-ENDIF( "${CMAKE_BUILD_TYPE}" STREQUAL "Debug" )
-
-IF( NOT DEBUG_LOGLEVEL )
-	## Why there is no check of ${CMAKE_BUILD_TYPE}?
-	## This probably triggers logger dependency for CMAKE_BUILD_TYPE=Release 
-	SET(DEBUG_LOGLEVEL "Debug")
-ENDIF( NOT DEBUG_LOGLEVEL )
-
+IF( "${CMAKE_BUILD_TYPE}" STREQUAL "Debug" OR "${CMAKE_BUILD_TYPE}" STREQUAL "RelWithDebInfo" )
+	## Loglevel needs to be valid, when streamlogger_definitions.h will be build.
+	IF( NOT DEBUG_LOGLEVEL )
+		SET(DEBUG_LOGLEVEL "Debug")
+	ENDIF( NOT DEBUG_LOGLEVEL )
+
+	## enable logging and create header that contains the settings (loglevel and logfile)
+	ADD_DEFINITIONS( -DENABLE_DSTREAMLOGGER )
+	CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/logger/streamlogger_definitions.h.in ${CMAKE_BINARY_DIR}/logger/streamlogger_definitions.h)
+ENDIF( "${CMAKE_BUILD_TYPE}" STREQUAL "Debug" OR "${CMAKE_BUILD_TYPE}" STREQUAL "RelWithDebInfo" )
 
 # Choose the type of build.  Example: SET(CMAKE_BUILD_TYPE Debug) 
 MESSAGE( STATUS "CMAKE_BUILD_TYPE: " ${CMAKE_BUILD_TYPE} )
@@ -88,11 +85,10 @@
 ##	DEFINE THE PACKAGE VERSION AND NAME
 SET(MAJOR_VERSION 0)
 SET(MINOR_VERSION 4)
-SET(PATCH_VERSION 0)
+SET(PATCH_VERSION 1)
 SET(YAWP_NAME     "yaWP")
 
 configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
-# configure_file(logger/streamlogger_definitions.h.in ${CMAKE_CURRENT_BINARY_DIR}/streamlogger_definitions.h)
 macro_display_feature_log()
 
 ### Define some variables we need in subdires applet and ions
@@ -110,10 +106,8 @@
 	## So, if you know how to do it, please let me know.
 	add_subdirectory(logger)
 	add_subdirectory(unittest)
-ELSEIF( "${DEBUG_LOGLEVEL}" STREQUAL "Debug" )
-	configure_file(${CMAKE_CURRENT_SOURCE_DIR}/logger/streamlogger_definitions.h.in
-	               ${CMAKE_BINARY_DIR}/logger/streamlogger_definitions.h)
 ENDIF( "${BUILD_UNITTESTS}" STREQUAL "YES" )
+
 ############################################################
 ##
 ##    Package Generator
@@ -144,7 +138,7 @@
   SET(CPACK_SOURCE_PACKAGE_FILE_NAME	${CMAKE_PROJECT_NAME}_${MAJOR_VERSION}.${MINOR_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}_source)
 
   ##	LIST EXECUTABLES
-  SET(CPACK_STRIP_FILES "lib//plasma_yawp.so;lib//ion_accuweather.so;lib//ion_google.so")
+  SET(CPACK_STRIP_FILES "lib//plasma_applet_yawp.so;lib//ion_accuweather.so;lib//ion_google.so;lib/ion_wunderground.so")
   SET(CPACK_COMPONENTS_ALL Libraries ApplicationData)
 
   ##	DEBIAN SPECIFIC SETTINGS

=== unittest/CMakeLists.txt ===
--- 
+++ 
@@ -107,7 +107,6 @@
 #	../ions/ion_accuweather.cpp
 #	../ions/ion_google.cpp
 	../ions/ion_accuweather.cpp
-	../ions/accuweather_configloader.cpp
 	)
 
 kde4_add_executable(iontest		${iontest_SRCS} ${YAWP_RCCS_SRCS})

=== debian/changelog ===
plasma-widget-yawp (0.4.1-1) unstable; urgency=low

  The "Lost in the Mist" release.

  * New upstream release.
  * debian/watch: Removed some default comments to fix
    debian-watch-contains-dh_make-template.
  * debian/patches/Fix_FTBFS_add-missing-include-dir.patch: Removed, fixed
    upstream.
  * debian/plasma-dataengines-yawp.install: Removed satellite_map.conf, it's
    gone again.
  * debian/docs: Removed README.ion_accuweather, gone alongside the
    satellite_map.conf.

 -- Kai Wasserbäch <curan@debian.org>  Mon, 05 Dec 2011 23:48:21 +0100

=== debian/control ===
Source: plasma-widget-yawp
Section: kde
Priority: optional
Maintainer: Kai Wasserbäch <curan@debian.org>
Build-Depends: debhelper (>= 8.9.8), cmake, gettext, kdelibs5-dev, pkg-kde-tools,
 kdebase-workspace-dev
Standards-Version: 3.9.2
Homepage: http://sourceforge.net/projects/yawp
Vcs-Git: git://git.carbon-project.org/plasma-widget-yawp.git
Vcs-Browser: http://gitweb.carbon-project.org/?p=plasma-widget-yawp.git;a=summary

Package: plasma-widget-yawp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 plasma-dataengines-yawp (= ${binary:Version})
Suggests: plasma-dataengines-workspace, plasma-widget-yawp-dbg
Description: Yet Another Weather Plasmoid fetches weather forecasts for you
 yaWP is a nice and simple plasmoid for KDE 4.x to show the weather forecast,
 works with different weather sources, you can configure it to show several
 days in advance, to display the current satellite image and it is also
 possible to keep track of multiple cities.
 .
 This package contains the Plasmoid itself and the basic theme for yaWP.
 .
 yaWP can be considered to be the native KDE 4.x replacement for the
 SuperKaramba script "LiquidWeather++".

Package: plasma-dataengines-yawp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: plasma-widgets-addons
Suggests: plasma-widget-yawp, plasma-widget-yawp-dbg
Description: yaWP's data engines (Ions) for different weather services
 yaWP is a nice and simple plasmoid for KDE 4.x to show the weather forecast,
 works with different weather sources, you can configure it to show several
 days in advance, to display the current satellite image and it is also
 possible to keep track of multiple cities.
 .
 This package contains the data engines, which are part of yaWP. At the moment
 these are Ions for the following services:
    * AccuWeather
    * Google Weather Service
    * Weather Underground (Wunderground)

Package: plasma-widget-yawp-dbg
Architecture: any
Section: debug
Priority: extra
Depends: plasma-widget-yawp (= ${binary:Version}), 
 plasma-dataengines-yawp (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for yaWP and its Ions
 yaWP is a nice and simple plasmoid for KDE 4.x to show the weather forecast,
 works with different weather sources, you can configure it to show several
 days in advance, to display the current satellite image and it is also
 possible to keep track of multiple cities.
 .
 This package contains the debugging symbols for yaWP and its Ions.

## plasma-widget-yawp 0.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -85,7 +85,7 @@
 ##	DEFINE THE PACKAGE VERSION AND NAME
 SET(MAJOR_VERSION 0)
 SET(MINOR_VERSION 4)
-SET(PATCH_VERSION 1)
+SET(PATCH_VERSION 2)
 SET(YAWP_NAME     "yaWP")
 
 configure_file(config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

=== applet/CMakeLists.txt ===
include_directories(
	${CMAKE_CURRENT_SOURCE_DIR}/..
	${CMAKE_BINARY_DIR}/logger
	)

set(yawp_SRCS
	configdialog/yawpconfig.cpp
	configdialog/dlgaddcity.cpp
	configdialog/dlgtimezone.cpp

	../logger/streamlogger.cpp

	painter/abstractpainter.cpp
	painter/desktoppainter.cpp
	painter/panelpainter.cpp

	countrymap.cpp
	ionlistmodel.cpp
	pageanimator.cpp
	paneldesktopinterface.cpp
	statemachine.cpp
	utils.cpp
	weatherdataprocessor.cpp
	weatherservice.cpp
	yawp.cpp
	yawpday.cpp
	yawpdefines.cpp
	)

kde4_add_ui_files(yawp_SRCS
	ui/yawplocationspage.ui
	ui/yawpsettingspage.ui
	ui/yawppanelpage.ui
	ui/yawpthemepage.ui
	ui/dlgaddcity.ui
	ui/dlgtimezone.ui
	)

set(plasma_include_libs
	${QT_QTXML_LIBRARY}
	${KDE4_KDEUI_LIBS}
	${KDE4_KIO_LIBS}
	${KDE4_SOLID_LIBS}
	${PLASMA_LIBS}
	${KDE4WORKSPACE_WEATHERION_LIBRARY}
	${KDE4_KUNITCONVERSION_LIBS}
	)

## Add Qt4 resource to binary
set(YAWP_RCCS yawpresource.qrc )
qt4_add_resources(YAWP_RCCS_SRCS	${YAWP_RCCS})

kde4_add_plugin(plasma_applet_yawp		${yawp_SRCS} ${YAWP_RCCS_SRCS})
target_link_libraries(plasma_applet_yawp	${plasma_include_libs})

configure_file(plasma-applet-yawp.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/plasma-applet-yawp.desktop)

install(TARGETS        plasma_applet_yawp
        DESTINATION    ${PLUGIN_INSTALL_DIR}
        )
install(FILES           ${CMAKE_CURRENT_BINARY_DIR}/plasma-applet-yawp.desktop
        DESTINATION     ${SERVICES_INSTALL_DIR}
        PERMISSIONS     OWNER_READ GROUP_READ WORLD_READ)
install(FILES           yawp_theme15.svg
        DESTINATION     ${DATA_INSTALL_DIR}/desktoptheme/default/widgets/
        )


## This is needed for the CPack package generator.
#
INSTALL(TARGETS               plasma_applet_yawp
        LIBRARY DESTINATION   ${YAWP_PACK_INSTALL_LIB_DIR}
        ARCHIVE DESTINATION   ${YAWP_PACK_INSTALL_LIB_DIR}
        RUNTIME DESTINATION   ${YAWP_PACK_INSTALL_LIB_DIR}
        COMPONENT Libraries
        )

INSTALL(FILES         ${CMAKE_CURRENT_BINARY_DIR}/plasma-applet-yawp.desktop
        DESTINATION   ${YAWP_PACK_SERVICES_DIR}
        COMPONENT     Libraries
        )

INSTALL(FILES         yawp_theme15.svg
        DESTINATION   ${DATA_INSTALL_DIR}/desktoptheme/default/widgets/
        COMPONENT     ApplicationData
        )

=== ions/CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,6 @@
 
 set(ion_accuweather_SRCS
 	ion_accuweather.cpp
-	accuweather_configloader.cpp
 	../logger/streamlogger.cpp
 	)
 
@@ -37,10 +36,6 @@
 target_link_libraries (ion_accuweather           ${weather_ion_libs})
 install(  TARGETS      ion_accuweather           DESTINATION    ${PLUGIN_INSTALL_DIR})
 install(  FILES        ${ACCUWEATHER_DESKTOP}    DESTINATION    ${SERVICES_INSTALL_DIR})
-install(  FILES        ${CMAKE_CURRENT_SOURCE_DIR}/../default_accuweather_satellite_map.conf
-	  DESTINATION  ${DATA_INSTALL_DIR}/ion_accuweather/
-	  RENAME       satellite_map.conf
-	  )
 
 set(ion_google_SRCS
 	ion_google.cpp
@@ -77,9 +72,3 @@
 	DESTINATION   ${YAWP_PACK_SERVICES_DIR}
 	COMPONENT     Libraries
 	)
-
-INSTALL(FILES         ${CMAKE_CURRENT_SOURCE_DIR}/../default_accuweather_satellite_map.conf
-	DESTINATION   ${YAWP_PACK_APPS_DIR}/ion_accuweather/
-	RENAME        satellite_map.conf
-	COMPONENT     Libraries
-	)

=== logger/CMakeLists.txt ===
include_directories(
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
	)

set(streamlogger_libs
	${QT_QTCORE_LIBRARY}
	)

add_library(streamlogger STATIC streamlogger.cpp)
target_link_libraries(streamlogger ${streamlogger_libs})

=== po/CMakeLists.txt ===
# Search KDE installation
FIND_PACKAGE(KDE4 REQUIRED)
FIND_PACKAGE(Gettext REQUIRED)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
   MESSAGE(FATAL_ERROR "Please install the msgfmt binary")
ENDIF (NOT GETTEXT_MSGFMT_EXECUTABLE)

FILE(GLOB _po_files *.po)

SET(_gmoFiles)
SET(_gmoPackFiles)

STRING(REGEX REPLACE "/usr/" "" YAWP_PACK_LOCALE_DIR   "${LOCALE_INSTALL_DIR}")

FOREACH(_current_PO_FILE ${_po_files})
	GET_FILENAME_COMPONENT(_lang ${_current_PO_FILE} NAME_WE)
	SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
	add_custom_command(OUTPUT              ${_gmoFile}
	                   COMMAND             ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_gmoFile} ${_current_PO_FILE}
	                   WORKING_DIRECTORY   ${CMAKE_CURRENT_SOURCE_DIR}
	                   DEPENDS             ${_current_PO_FILE}
	                   )
	
	INSTALL(FILES         ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo
	        DESTINATION   ${LOCALE_INSTALL_DIR}/${_lang}/LC_MESSAGES/
	        RENAME        plasma_applet_yawp.mo
	        )

	INSTALL(FILES         ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo
		DESTINATION   ${YAWP_PACK_LOCALE_DIR}/${_lang}/LC_MESSAGES/
		RENAME        plasma_applet_yawp.mo
		COMPONENT     ApplicationData
		)

	LIST(APPEND _gmoFiles ${_gmoFile})
ENDFOREACH(_current_PO_FILE)
ADD_CUSTOM_TARGET(pofiles ALL DEPENDS ${_gmoFiles})

=== unittest/CMakeLists.txt ===
--- 
+++ 
@@ -104,9 +104,9 @@
 #	../applet/utils.cpp
 #	../applet/yawpday.cpp
 #	../applet/yawpdefines.cpp
-#	../ions/ion_accuweather.cpp
+	../ions/ion_accuweather.cpp
 #	../ions/ion_google.cpp
-	../ions/ion_accuweather.cpp
+#	../ions/ion_wunderground.cpp
 	)
 
 kde4_add_executable(iontest		${iontest_SRCS} ${YAWP_RCCS_SRCS})

=== debian/changelog ===
plasma-widget-yawp (0.4.2-1) unstable; urgency=low

  The "Crosswinds" release.

  * New upstream release.
  * debian/gbp.conf: Ensure signed tags.
  * debian/source.lintian-overrides: Dropped again, v9 was uploaded to
    unstable.

 -- Kai Wasserbäch <curan@debian.org>  Tue, 17 Jan 2012 23:48:16 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: kde
 Priority: optional
 Maintainer: Kai Wasserbäch <curan@debian.org>
-Build-Depends: debhelper (>= 8.9.8), cmake, gettext, kdelibs5-dev, pkg-kde-tools,
+Build-Depends: debhelper (>= 9), cmake, gettext, kdelibs5-dev, pkg-kde-tools,
  kdebase-workspace-dev
 Standards-Version: 3.9.2
 Homepage: http://sourceforge.net/projects/yawp
@@ -11,7 +11,7 @@
 
 Package: plasma-widget-yawp
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, 
+Depends: ${shlibs:Depends}, ${misc:Depends},
  plasma-dataengines-yawp (= ${binary:Version})
 Suggests: plasma-dataengines-workspace, plasma-widget-yawp-dbg
 Description: Yet Another Weather Plasmoid fetches weather forecasts for you

=== debian/rules ===
#!/usr/bin/make -f

DH_ALWAYS_EXCLUDE:=CVS:.svn:.svnignore:.hg:.hgignore:.git:.gitignore

override_dh_auto_configure:
	        dh_auto_configure --parallel -Skde -- -DBUILD_UNITTESTS=NO \
					-DDEBUG_LOGFILE=/tmp/plasma-widget-yawp.log \
					-DDEBUG_LOGLEVEL=Warning -DCMAKE_BUILD_TYPE=Release \
					-DCMAKE_SHARED_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
					-DCMAKE_MODULE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
					-DCMAKE_EXE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed"

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

override_dh_install:
	dh_install --list-missing

%:
	dh $@ --parallel --dbg-package=plasma-widget-yawp-dbg --with kde

.PHONY: override_dh_auto_configure override_dh_installchangelogs override_dh_install

=== debian/watch ===
version=3

http://sf.net/yawp/yawp-([\d\.]+)\.tar\.bz2 debian git-import-orig
